const system = require("../../../system");
const ServiceBase = require("../../sve.base")
const settings = require("../../../../config/settings")
class SaasmerchantConsumeService extends ServiceBase {
  constructor() {
    super("merchant", ServiceBase.getDaoName(SaasmerchantConsumeService));
  }

  async addLog(params) {
    let log = params.log;
    if (!log) {
      console.log(`商户日志插入错误，[${JSON.stringify(params.log)}]`);
      return system.getResult(null, "log为空");
    }
    log.autoIncrement = true;
    let rs = await this.dao.create(log);
    return system.getResultSuccess(rs);
  }
}
module.exports = SaasmerchantConsumeService;